<?php
/**
 * Шаблон кнопки «Купить», в котором характеристики, влияющие на цену выводятся в виде выпадающего списка
 *
 * @package    DIAFAN.CMS
 * @author     diafan.ru
 * @version    5.4
 * @license    http://www.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2015 OOO «Диафан» (http://www.diafan.ru/)
 */
if (!defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/*
 * <div class="item-info__price">
								<span class="item-info__price__title">цена:</span>
								<div class="item-info__price__box">
									192 руб
									<div class="item-info__price__last">220 руб</div>
								</div>
							</div>
							
							<div class="item-info__ui">
								<input type="text" class="item-info__field" value="1" maxlength="3">
								<span class="btn btn_orange btn_bsk">
									<span class="bsk-icon"></span>
									В корзину
								</span>
								<span class="btn btn_buy">Купить в один клик</span>
							</div>
 */

if (! empty($result["result"]["access_buy"]))
	return false;

if($result["row"]["empty_price"])
	return false;

$action = '';
if(! $result["result"]["cart_link"] || $result["row"]["no_buy"] || empty($result["row"]["count"]))
{
	$action = 'buy';
}

echo '
<form method="post" action="" class="js_shop_form shop_form ajax">
<input type="hidden" name="good_id" value="'. $result["row"]["id"].'">
<input type="hidden" name="module" value="shop">
<input type="hidden" name="action" value="'.$action.'">';

if ($result["row"]["no_buy"] || empty($result["row"]["count"]))
{
	echo '<div class="js_shop_no_buy js_shop_no_buy_good shop_no_buy shop_no_buy_good">'.$this->diafan->_('Товар временно отсутствует').'</div>';
	$hide_submit = true;
	$waitlist = true;
}
if(! $result["result"]["cart_link"])
{
    $hide_submit = true;
}

// у товара несколько цен
if ($result["row"]["price_arr"])
{
	foreach ($result["row"]["price_arr"] as $price)
	{
		$param_code = '';
		foreach ($price["param"] as $p)
		{
			if($p["value"])
			{
				$param_code .= ' param'.$p["id"].'="'.$p["value"].'"';
			}
		}
		if(! empty($price["image_rel"]))
		{
			$param_code .= ' image_id="'.$price["image_rel"].'"';
		}
		echo '<div class="js_shop_param_price item-info__price shop_param_price shop-item-price"'.$param_code.'>';
			echo '<span class="title item-info__price__title">'.$this->diafan->_('цена').':</span><div class="item-info__price__box">'.$price["price"].' '.$result["result"]["currency"];
			if (!empty($price["old_price"]))
			{
				echo '<div class="shop_old_price price-old item-info__price__last">'.$price["old_price"].' '.$result["result"]["currency"].'</div>';
			}
			if (! $price["count"] && empty($hide_submit) || empty($price["price"]) && ! $result['result']["buy_empty_price"])
			{
				echo '<div class="js_shop_no_buy shop_no_buy">'.$this->diafan->_('Товар временно отсутствует').'</div>';
				$waitlist = true;
			}
			echo '</div>';
		echo '</div>';
	}

	echo '<div class="addict-field">';
		echo '<div class="js_shop_form_param shop_form_param">';
		foreach ($result["result"]["depends_param"] as $param)
		{
                        
			if(! empty($result["row"]["param_multiple"][$param["id"]]))
			{
                            echo '<div class="item-info__price">';
				if(count($result["row"]["param_multiple"][$param["id"]]) == 1)
				{
					foreach ($result["row"]["param_multiple"][$param["id"]] as $value => $depend)
					{
						echo '<input type="hidden" name="param'.$param["id"].'" value="'.$value.'"'.($depend == 'depend' ? ' class="depend_param js_shop_depend_param"' : '').'>';
					}
				}
				else
				{
					$select = '';
					foreach ($param["values"] as $value)
					{
						if(! empty($result["row"]["param_multiple"][$param["id"]][$value["id"]]))
						{
							if(! $select)
							{
								if ($param["id"]==9)
								{
									$select = '<select style="display:none;" name="param'.$param["id"].'" class="shop-dropdown inpselect'.($result["row"]["param_multiple"][$param["id"]][$value["id"]] == 'depend' ? ' depend_param js_shop_depend_param' : '').'">';
								}
								else
								{
									$select = ' '.$param["name"].': <select name="param'.$param["id"].'" class="shop-dropdown inpselect'.($result["row"]["param_multiple"][$param["id"]][$value["id"]] == 'depend' ? ' depend_param js_shop_depend_param' : '').'">';
								}
							}

							$select .= '<option value="'.$value["id"].'"'
							.(! empty($value["selected"]) ? ' selected' : '')
							.'>'.$value["name"].'</option>';
						}
					}
					if($select)
					{
						echo $select.'</select>';
					}
				}
                                echo '</div>';
			}
		}
		echo '</div>';
	echo '</div>';
}
if (!empty($result["param"]))
{
	echo $this->get('param', 'shop', array("rows" => $result["param"], "id" => $result["id"]));
}
if(! empty($waitlist))
{
	echo '
	<div class="js_shop_waitlist shop_waitlist">
		'.$this->diafan->_('Сообщить когда появиться на e-mail').'
		<input type="email" name="mail" value="'.$this->diafan->_users->mail.'">
		<input type="button" value="'.$this->diafan->_('Ок', false).'" action="wait">
		<div class="errors error_waitlist" style="display:none"></div>
	</div>';
}

echo '<div class="item-info__ui"><span class="js_shop_buy">';
	if (empty($result["row"]['is_file']) && empty($hide_submit))
	{
		echo '<input type="text" value="1" name="count" class="number item-info__field" pattern="[0-9]+([\.|,][0-9]+)?" step="any">';
	}
	if(empty($hide_submit))
	{
		echo '<span class="btn btn_orange btn_bsk" action="buy" onclick="yaCounter44732704.reachGoal(\'PRESS_BUY\'); return true;">
									<span class="bsk-icon"></span>
									'.$this->diafan->_('В корзину').'
								</span>';
	}
echo '</span>';

$tmpcode = md5(mt_rand(0, 9999));

if(empty($hide_submit) && ! empty($result["result"]["one_click"]))
{
	echo '<span class="btn btn_buy js_shop_one_click" data-id="'.$tmpcode.'" action="one_click"onclick="yaCounter44732704.reachGoal(\'BUY_ONE_CLICK\'); return true;">'.$this->diafan->_('Купить в один клик').'</span>';
}

echo '</div><div class="error">';
if (!empty($result["row"]["count_in_cart"]))
{
	echo $this->diafan->_('В <a href="%s">корзине</a> %s шт.', true, BASE_PATH_HREF.$result["result"]["cart_link"], $result["row"]["count_in_cart"]);
}
echo '</div>';
echo '</form>';
//форма быстрого заказа
if(! empty($result["result"]["one_click"]))
{
	$result["result"]["one_click"]["good_id"] = $result["row"]["id"];
        $result["result"]["one_click"]["tmpcode"] = $tmpcode;
	echo $this->get('one_click', 'cart', $result["result"]["one_click"]);
}